#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# FOGLAMP_BEGIN
# See: https://foglamp-foglamp-documentation.readthedocs-hosted.com
# FOGLAMP_END

"""Management Service starter"""
import argparse
from foglamp.services.management.server import Server

__author__ = "Ashish Jabble"
__copyright__ = "Copyright (c) 2020 Dianomic Systems Inc."
__license__ = "Apache 2.0"
__version__ = "${VERSION}"


if __name__ == '__main__':
    parser = argparse.ArgumentParser()
    parser.add_argument("--name", default="FogMan Agent")
    parser.add_argument("--address", required=True)
    parser.add_argument("--port", required=True, type=int)
    namespace, args = parser.parse_known_args()
    svc_name = getattr(namespace, 'name')
    core_management_host = getattr(namespace, 'address')
    core_management_port = getattr(namespace, 'port')
    Server().run(svc_name, core_management_host, core_management_port)
